Name: H5Tenum_create
Signature:
  hid_t `H5Tenum_create`(hid_t `parent_id` )
Purpose:
  Creates a new enumeration datatype.
Description:
  `H5Tenum_create` creates a new enumeration datatype based on the specified base datatype, `parent_id`, which must be an integer type.
Parameters:

hid_t `parent_id` | IN: Datatype identifier for the base datatype.

Returns:
  Returns the datatype identifier for the new enumeration datatype if successful; otherwise returns a negative value.
Fortran90 Interface: h5tenum_create_f

      SUBROUTINE h5tenum_create_f(parent_id, new_type_id, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: parent_id     ! Datatype identifier for
                                                    ! the  base datatype
        INTEGER(HID_T), INTENT(OUT) :: new_type_id  ! Datatype identifier for the
                                                    ! new enumeration datatype
        INTEGER, INTENT(OUT) :: hdferr              ! Error code
      END SUBROUTINE h5tenum_create_f